List workflow instances

List the instances of a given workflow, optionally filtered.
Filtering can be applied using the following query parameters:


  • name: All instances with the name containing this substring

  • ordering: Sorting by ascending or descending options: status, priority, ended_time, total_runtime, started_time. Use “-“ to sort in a descending manner, for example: -status

  • status: Use one of the options: running, completed, aborted

  • progress: With suffix _min or _max

  • active_step_id: Returns all instances of a workflow for which the step with the specified ID hasn't been completed and is currently active

  • priority: Use one of the options: V (Very High) or H for (High)

  • started_time: With suffix _after or _before

  • last_updated_time: With suffix _after or _before

  • deadline: With suffix _after or _before

  • step_deadline: With suffix _after or _before

  • aborted_time: With suffix _after or _before

  • completed_time: With suffix _after or _before

  • ended_time: With suffix _after or _before

  • total_runtime_min: Instance duration as '%d %H:%M:%S.%f' or ISO format

  • total_runtime_max: Instance duration as '%d %H:%M:%S.%f' or ISO format

  • tags: Name of the tag or tags separated by comma. Multiple tags are searched as OR condition.

  • page: For pagination.


Dates follow the ISO8601 format and UTC standard.
Page size is 100 by default, 500 maximum. To paginate, follow the standard usage of limit and page parameters.

Path Params
string
required
Query Params
string

organization

string

process

string

lead_user

string

progress

string
enum

Ordering

string
enum

status

Allowed:
string

name

string

query

string
enum

priority

Allowed:
string

started_time

string

last_updated_time

string

deadline

string

step_deadline

string

aborted_time

string

completed_time

string

ended_time

string

total_runtime_min

string

total_runtime_max

string

active_step_id

string

tags

integer

A page number within the paginated result set.

integer

Number of results to return per page.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json